<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.control.*?>
<?import javafx.scene.image.*?>
<?import javafx.scene.layout.*?>

<AnchorPane maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="700.0" prefWidth="900.0" stylesheets="@../styles/style.css" xmlns="http://javafx.com/javafx/11.0.1" xmlns:fx="http://javafx.com/fxml/1" fx:controller="javafx.controller.Controller">
   <children>
      <AnchorPane maxWidth="100.0" prefHeight="100.0" prefWidth="1200.0" style="-fx-background-color: #8e0000;" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0">
         <children>
            <ImageView fitHeight="100.0" fitWidth="100.0" layoutX="14.0" pickOnBounds="true" preserveRatio="true" AnchorPane.leftAnchor="14.0" AnchorPane.topAnchor="0.0">
               <image>
                  <Image url="@../imagenes/logo.png" />
               </image>
            </ImageView>
            <Label layoutX="165.0" layoutY="18.0" styleClass="textTitle" text="Restaurante LB" AnchorPane.leftAnchor="135.0" AnchorPane.topAnchor="18.0" />
         </children>
      </AnchorPane>
      <TabPane layoutY="100.0" maxHeight="-Infinity" maxWidth="-Infinity" prefHeight="700.0" prefWidth="1200.0" tabClosingPolicy="UNAVAILABLE" AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="100.0">
        <tabs>
          <Tab styleClass="myTab" text="Cliente">
            <content>
              <AnchorPane minHeight="0.0" minWidth="0.0" prefHeight="636.0" prefWidth="1150.0">
                     <children>
                        <Label layoutX="14.0" layoutY="14.0" styleClass="textSimple" text="Buscar por DNI:" />
                        <TextField fx:id="campoDniCliente" layoutX="129.0" layoutY="9.0" prefHeight="25.0" prefWidth="112.0" />
                        <Button layoutX="255.0" layoutY="9.0" mnemonicParsing="false" onAction="#buscarPedidosPorDni" text="BUSCAR" />
                        <TableView fx:id="tablaPedidos" layoutX="14.0" layoutY="43.0" prefHeight="480.0" prefWidth="820.0" AnchorPane.bottomAnchor="46.0" AnchorPane.leftAnchor="14.0" AnchorPane.rightAnchor="66.0" AnchorPane.topAnchor="43.0">
                          <columns>
                            <TableColumn fx:id="numPedidoColumna" prefWidth="81.0" styleClass="table_view" text="Núm. Pedido" />
                            <TableColumn fx:id="precioColumna" prefWidth="71.0" text="Precio" />
                              <TableColumn fx:id="fechaColumna" prefWidth="134.0" text="Fecha" />
                              <TableColumn fx:id="caloriasColumna" prefWidth="92.0" text="Calorías (Kcal)" />
                              <TableColumn fx:id="productosColumna" prefWidth="354.0" text="Productos" />
                              <TableColumn fx:id="pagarColumna" prefWidth="63.0" />
                          </columns>
                        </TableView>
                        <Button layoutX="709.0" layoutY="10.0" mnemonicParsing="false" onAction="#crearVentanaNuevoPedido" prefHeight="26.0" prefWidth="125.0" text="Nuevo pedido" AnchorPane.rightAnchor="66.0" AnchorPane.topAnchor="10.0" />
                     </children>
                  </AnchorPane>
            </content>
          </Tab>
          <Tab styleClass="myTab" text="Administrador">
               <content>
                  <AnchorPane minHeight="0.0" minWidth="0.0" prefHeight="667.0" prefWidth="1150.0">
                     <children>
                        <Label layoutX="14.0" layoutY="14.0" styleClass="textSimple" text="Buscar por DNI:" AnchorPane.leftAnchor="14.0" AnchorPane.topAnchor="14.0" />
                        <TextField fx:id="campoDni" layoutX="129.0" layoutY="9.0" prefHeight="25.0" prefWidth="112.0" AnchorPane.leftAnchor="129.0" AnchorPane.topAnchor="9.0" />
                        <Button layoutX="255.0" layoutY="9.0" mnemonicParsing="false" onAction="#buscarClientePorDni" text="BUSCAR" AnchorPane.leftAnchor="255.0" AnchorPane.topAnchor="9.0" />
                        <TableView fx:id="tablaClientes" layoutX="14.0" layoutY="43.0" prefHeight="480.0" prefWidth="820.0" AnchorPane.bottomAnchor="46.0" AnchorPane.leftAnchor="14.0" AnchorPane.rightAnchor="66.0" AnchorPane.topAnchor="43.0">
                           <columns>
                              <TableColumn fx:id="dniColumna" prefWidth="117.0" text="DNI" />
                              <TableColumn fx:id="nombreColumna" prefWidth="137.0" text="Nombre" />
                              <TableColumn fx:id="telefonoColumna" prefWidth="127.0" text="Telefono" />
                              <TableColumn fx:id="calleColumna" prefWidth="158.0" text="Calle" />
                              <TableColumn fx:id="eliminarColumna" prefWidth="79.0" />
                              <TableColumn fx:id="editarColumna" prefWidth="77.0" />
                           </columns>
                        </TableView>
                        <Button layoutX="840.0" layoutY="8.0" mnemonicParsing="false" onAction="#crearVentanaConexion" prefHeight="46.0" prefWidth="46.0" textFill="WHITE" AnchorPane.rightAnchor="14.0" AnchorPane.topAnchor="8.0">
                           <graphic>
                              <ImageView fitHeight="43.0" fitWidth="30.0" pickOnBounds="true" preserveRatio="true">
                                 <image>
                                    <Image url="@../imagenes/config.png" />
                                 </image>
                              </ImageView>
                           </graphic></Button>
                        <Button layoutX="838.0" layoutY="72.0" mnemonicParsing="false" onAction="#crearVentanaProductos" prefHeight="46.0" prefWidth="46.0" AnchorPane.rightAnchor="14.0" AnchorPane.topAnchor="72.0">
                           <graphic>
                              <ImageView fitWidth="30.0" pickOnBounds="true" preserveRatio="true">
                                 <image>
                                    <Image url="@../imagenes/productos.png" />
                                 </image>
                              </ImageView>
                           </graphic></Button>
                     </children>
                  </AnchorPane>
               </content>
          </Tab>
        </tabs>
      </TabPane>
   </children>
</AnchorPane>
